import type { Component } from 'solid-js';
export type WistiaProps = {
    /** Video ID, extracted from Wistia URL. */
    videoId: string;
    /** Enable player's "full screen" control. */
    allowfullscreen?: boolean;
    /** Video player's width, set to 100% (default) for responsive, or exact value for fixed (eg. "640px"). */
    width?: string;
    /** Video player's height, set to 100% (default) for responsive, or exact value for fixed (eg. "380px"). */
    height?: string;
    /** Aspect ratio of the video, used to calculate padding offset. */
    aspectRatio?: '1:1' | '16:9' | '4:3' | '3:2' | '8:5';
    /** Auto play video when component renders. */
    autoPlay?: boolean;
};
export declare const Wistia: Component<WistiaProps>;
